AggregateTest_Bar:
   bar1:
      Bar: 1
   bar2:
      Bar: 2
AggregateTest_Foo:
   foo1:
      Foo: 1
      Bar: =>AggregateTest_Bar.bar1
   foo2:
      Foo: 2
      Bar: =>AggregateTest_Bar.bar1
   foo3:
      Foo: 3
      Bar: =>AggregateTest_Bar.bar2
AggregateTest_Fab:
   fab1:
      Foo: 7
      Fab: 1
      Bar: =>AggregateTest_Bar.bar1
   fab2:
      Foo: 8
      Fab: 2
      Bar: =>AggregateTest_Bar.bar1
   fab3:
      Foo: 9
      Fab: 3
      Bar: =>AggregateTest_Bar.bar2
AggregateTest_Fac:
   fac1:
      Foo: 4
      Fac: 1
   fac2:
      Foo: 5
      Fac: 2
   fac3:
      Foo: 6
      Fac: 3
AggregateTest_Baz:
   baz1:
      Baz: 1
      Foos: =>AggregateTest_Foo.foo1,=>AggregateTest_Foo.foo2,=>AggregateTest_Fab.fab1,=>AggregateTest_Fab.fab2
   baz2:
      Baz: 2      
      Foos: =>AggregateTest_Foo.foo3,=>AggregateTest_Fab.fab3
      